/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jpa.session;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import jpa.entities.Usuarios;

/**
 *
 * @author Cris
 */
@Stateless
public class UsuariosFacade extends AbstractFacade<Usuarios> {

    @PersistenceContext(unitName = "TFGCinePU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public UsuariosFacade() {
        super(Usuarios.class);
    }
    
    
    public void InsertarUsuario(String nombre, String apellidos, String correo, int telefono, String password){
        String INSERT_SQL = "INSERT INTO usuarios (NOMBRE, APELLIDOS, CORREO, TELEFONO, PASSWORD) VALUES (?, ?, ?, ?, ?)";
        em.createNativeQuery(INSERT_SQL).setParameter(1, nombre).setParameter(2, apellidos).setParameter(3, correo).setParameter(4, telefono).setParameter(5, password).executeUpdate();
    }
    
    public void InsertarUsuario1(String password){
        String INSERT_SQL = "INSERT INTO usuarios (PASSWORD) VALUES (?)";
        em.createNativeQuery(INSERT_SQL).setParameter(1, password).executeUpdate();
    }
    
    public void EliminarUsuario(int idusuario){
        String INSERT_SQL = "DELETE FROM usuarios WHERE IDUSUARIO = ?";
        em.createNativeQuery(INSERT_SQL).setParameter(1, idusuario).executeUpdate();
    }
    
    
}
