/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jpa.session;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import jpa.entities.Proyecciones;

/**
 *
 * @author Cris
 */
@Stateless
public class ProyeccionesFacade extends AbstractFacade<Proyecciones> {

    @PersistenceContext(unitName = "AdminTFGCinePU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public ProyeccionesFacade() {
        super(Proyecciones.class);
    }
    
    public void InsertarProyeccion(String fecha_hora, int num_asientos, int idpelicula, int idsala){
        String INSERT_SQL = "INSERT INTO proyecciones (FECHA_HORA, NUM_ASIENTOS, IDPELICULA, IDSALA) VALUES (?, ?, ?, ?)";
        em.createNativeQuery(INSERT_SQL).setParameter(1, fecha_hora).setParameter(2, num_asientos).setParameter(3, idpelicula).setParameter(4, idsala).executeUpdate();
    }
    
    public void EliminarProyec(int idproyeccion) {
        String UPDATE_SQL = "DELETE FROM proyecciones WHERE idproyeccion=?;";
        em.createNativeQuery(UPDATE_SQL).setParameter(1, idproyeccion).executeUpdate();
    }
    
}
